Returns members of the specified project.

GEThttps://api.awork.com/api/v1/projects/{projectId}/members
GET https://api.awork.com/api/v1/projects/{projectId}/members

Returns members assigned to the specified project.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the project member entity.

userIdstringOptional
format: uuid

The id of the user who is this project member.

firstNamestring or nullOptional

The first name of the user.

lastNamestring or nullOptional

The last name of the user.

hasImageboolean or nullOptional

Whether the user has an image.

projectRoleIdstringOptional
format: uuid

The project role of the project member.

projectRoleNamestring or nullOptional

The project role name of the project member.

isResponsiblebooleanOptional

Whether the user is responsible for this project.

isDeactivatedbooleanOptional

Whether the user is deactivated.

availableProductsarray of string or nullOptional

The products available to this user in their home workspace.

isExternalbooleanOptional

True if this entity is coming from an external workspace (awork Connect).

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation